# Uses of Class
org.eclipse.gef.SnapToHelper

Packages that use SnapToHelper
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.tools
This package provides several tool implementations.

## Uses of SnapToHelper in org.eclipse.gef

Subclasses of SnapToHelper in org.eclipse.gef
Modifier and Type
Class
Description
`class`
`CompoundSnapToHelper`
Combines multiple SnapToHelpers into one compound helper.
`class`
`SnapToGeometry`
A temporary helper used to perform snapping to existing elements.
`class`
`SnapToGrid`
A helper used to perform snapping to a grid, which is specified on the graphical viewer via the various properties defined in this class.
`class`
`SnapToGuides`
A helper used to perform snapping to guides.
Methods in org.eclipse.gef that return SnapToHelper
Modifier and Type
Method
Description
`protected SnapToHelper[]`
CompoundSnapToHelper.`getDelegates()`
Gets the array of helpers.
Constructors in org.eclipse.gef with parameters of type SnapToHelper
Modifier
Constructor
Description
``
`CompoundSnapToHelper(SnapToHelper[] delegates)`
Constructs a compound snap to helper which will delegate to the provided array of helpers.

## Uses of SnapToHelper in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return SnapToHelper
Modifier and Type
Method
Description
`protected SnapToHelper`
DragEditPartsTracker.`getSnapToHelper()`
Returns the `SnapToHelper` used by this `DragEditPartsTracker`.